stan-0.2.0.0: Haskell STatic ANalyser

Copyright | (c) 2020 Kowainik
License | MPL-2.0
Maintainer | Kowainik <xrom.xkov@gmail.com>
Safe Haskell | None
Language | Haskell2010

Stan

Contents

- Internal

Description

Main running module.

Synopsis

- run :: IO ()
- runStan :: StanArgs -> IO ()
- getAnalysis :: StanArgs -> Bool -> Config -> [HieFile] -> IO Analysis
- getStanConfig :: StanArgs -> Bool -> IO (Trial Text Config, Bool, EnvVars)
- createCabalExtensionsMap :: Bool -> [FilePath] -> [HieFile] -> IO (Map FilePath (Either ExtensionsError ParsedExtensions))

# Documentation

run :: IO () #

runStan :: StanArgs -> IO () #

getAnalysis :: StanArgs -> Bool -> Config -> [HieFile] -> IO Analysis #

getStanConfig :: StanArgs -> Bool -> IO (Trial Text Config, Bool, EnvVars) #

## Internal

createCabalExtensionsMap #

Arguments

:: Bool | Do print into terminal?
-> [FilePath] | `.cabal` files
-> [HieFile] |
-> IO (Map FilePath (Either ExtensionsError ParsedExtensions)) |

From a given path to cabal files and `HieFile`s create the map from modules (that are in .cabal file) to the resulting parsed extensions for each.